Skip to main content
PUT
/
company
/
email-templates
/
{email_type}
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";

const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });

const response = await firma.emailTemplates.updateCompanyEmailTemplate({
    email_type: "signing_invite",
    subject: "subject",
    body: "body"
});
console.log(response);
curl --request PUT \
--url https://api.firma.dev/functions/v1/signing-request-api/company/email-templates/{email_type} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"body": "<string>"
}
'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/company/email-templates/{email_type}"

payload = {
"subject": "<string>",
"body": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({subject: '<string>', body: JSON.stringify('<string>')})
};

fetch('https://api.firma.dev/functions/v1/signing-request-api/company/email-templates/{email_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subject": "<string>",
  "body": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "warnings": [
    "<string>"
  ]
}
{
"subject": "<string>",
"body": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"warnings": [
"<string>"
]
}
{
"error": "Validation Error",
"message": "Invalid input data",
"details": {
"name": "Name is required",
"email": "Invalid email format"
}
}
{
"error": "Unauthorized",
"message": "Invalid API key"
}
{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

email_type
enum<string>
required

Email template type

Available options:
signing_invite,
next_signer,
signing_expired,
signing_cancelled,
signing_declined

Body

application/json
subject
string
required

Email subject line

Maximum string length: 500
body
string
required

Email body (HTML). Use {{signing_link}} placeholder for the signing URL.

Maximum string length: 50000

Response

Company email template updated successfully

Custom email template for signing request notifications

email_type
enum<string>
required

Type of email this template is for

Available options:
signing_invite,
next_signer,
signing_expired,
signing_cancelled,
signing_declined
subject
string
required

Email subject line

body
string
required

Email body (HTML). Supports placeholders like {{signing_link}}, {{signer_name}}, etc.

id
string<uuid>

Unique identifier for the email template

created_at
string<date-time>

Template creation timestamp

updated_at
string<date-time>

Template last update timestamp

warnings
string[]